import os
from nltk.data import path as nltk_path
from nltk.stem import WordNetLemmatizer

root_path = os.path.dirname(os.path.abspath(__file__))
nltk_path.append(os.path.join(root_path, 'nltk_data'))
lemmatizer = WordNetLemmatizer()

# 预热，将数据载入内存。
lemmatizer.lemmatize('a')

def lemmatize_word(query):  
    # 使用nltk的WordNetLemmatizer()获得单词变体的原形
    query = query.lower()
    words_list = list()
    # n名词,a形容词,r副词,v动词
    words_list.append((lemmatizer.lemmatize(query, pos='n'), 'n.'))
    words_list.append((lemmatizer.lemmatize(query, pos='a'), 'adj.'))
    words_list.append((lemmatizer.lemmatize(query, pos='r'), 'adv.'))
    words_list.append((lemmatizer.lemmatize(query, pos='v'), 'v.'))
    r_list = []
    for w in words_list:
        if w[0] != query and not w[0] in r_list:
            r_list.append(w)

    return r_list
    